insertRows
Overview
This endpoint can be used for streaming a small number of rows into a table at high frequency. For bulk uploading a large number of records, use the upload post interface.
HTTP Request
POST /api/v1/tables/:tableReference/uploads/:uploadName/rowsPath parameters
tableReference
A qualified reference to the table. See referencing resources for more information.
uploadName
The name of the upload. Make sure to URL encode the name if it contains any reserved characters.
Request body
Provide a JSON object with information about the table.
rows
Array[Object]
Required. An array of rows, where each row is an object whose keys represent the variable name and values represent that row's value for the given variable.
Note that booleans, integers, and floats must be expressed as their JSON types, not as strings. Date, DateTime, and Time types should use the canonical string representation (e.g., 1970-01-01T00:00:00.000). Geographies must be expressed as WKT encoded strings (e.g., POINT(10 20)).
The overall payload cannot exceed 100MB.
E.g.:
Authorization
Edit access to the dataset is required. Your access token must have the following scope:
data.edit
Response body
If successful, returns the following payload with a status code of 201.
Last updated
Was this helpful?

